<div class="main-content">
    <div class="pwd-bloc" *ngIf="user; else noUser">
        <h2>Finalisation inscription</h2>

        <br>
        <p>
            Créer un mot de passe pour avoir accès à votre compte utilisateur.
        </p>

        <div style="margin-top:40px;">
            <div>
                <mat-form-field class="long-matff" appearance="outline">
                    <mat-label>Mot de passe</mat-label>
                    <input [(ngModel)]="user.Password" matInput placeholder="Mot de passe" type="password">
                </mat-form-field>
            </div>

            <div>
                <mat-form-field class="long-matff" appearance="outline">
                    <mat-label>Confirmer le mot de passe</mat-label>
                    <input [(ngModel)]="confirmPassword" matInput type="password" placeholder="confirmer mot de passe">
                </mat-form-field>
            </div>


            <hr />
            <div style="margin-top: 30px;">
                <button style="width: 60%;height:50px;" mat-flat-button color="primary"
                    (click)="onValidate()">Valider</button>
            </div>

            <div *ngIf="loading">
                <img src="../../../assets/loading.gif" alt="loader" height="80px" width="80px" />
            </div>
            <br>
            <div *ngIf="messageApi">
                <p style="color:red;">{{ messageApi }}</p>
            </div>

        </div>
    </div>

    <ng-template #noUser>
        <div *ngIf="!loading" class="pwd-bloc">
            une erreur est survenue lors du chargement de la page.
        </div>
    </ng-template>
</div>